## 1.0.0

### FEATURES
1. Init


## 1.1.0

### IMPROVEMENTS
1. Update bpmnjs to 9.3.2

### FEATURES
1. Handling missing 'Multi-instance' settings
2. Handle missing 'Call Activity' settings


## 1.2.0

### IMPROVEMENTS
1. Separate out the CSS with some dependencies for less volume


## 1.2.1

BUG FIXES
1. Fixed CSS animations not being compatible in Safari

## 1.2.2

### BUG FIXES
1. Fixed naming errors
2. Fixed the custom information form display exception
### IMPROVEMENTS
1. Upgrade bpmnjs dependencies


## 1.2.3

### BUG FIXES
1. Fixed download error
### IMPROVEMENTS
1. Upgrade bpmnjs dependencies
### FEATURES
1. Add diagram differ
### NOTICE
1. Incompatible with previous versions(instance rendering needs to provide sequenceFlowMap information)



## 1.2.4

### IMPROVEMENTS
1. Change the process category return data format
```
export interface Category {
  label: string;
  value: string;
  disabled?: boolean;
}
```
2. Add default category
```
{
  label: 'bpmn默认',
  value: 'http://bpmn.io/schema/bpmn',
}
```
### FEATURES
1. Add zeebe design model (beta)
```
<template>
  <div id="app">
    <SkillFullZeebeBpmnDesigner @change="handleChange" ref="diagramDesigner" :dataApi="url" />
  </div>
</template>
<script lang="ts" setup>
  import { ref, reactive, onMounted } from 'vue';
  import { getCategory, groupPage, userPage, expressionPage, orgTree } from './httpUtil';
  const diagramDesigner = ref();
  const url = reactive({
    categoryApi: getCategory,
    userApi: userPage,
    groupApi: groupPage,
    expressionApi: expressionPage,
    orgTreeApi: orgTree,
  });
  function handleChange(__diagram: any) {
    // console.log('---diagram---', diagram);
  }
  onMounted(() => {
    diagramDesigner.value.createNewDiagram();
  });
</script>
```


## 2.0.0-beta2

### IMPROVEMENTS
1. Provide the ts type
2. bpmn dependency update
3. change project name anyi-process-ee-antvue
### FEATURES
1. C7 Designer refactoring。
2. Provides external components to render asynchronous data


## 2.0.0-beta3

### IMPROVEMENTS
1. bpmn依赖升级
2. 重构c7建模


## 2.0.0-beta5

### IMPROVEMENTS
1. bpmn依赖升级
2. 流程实例弹框信息改由外部提供


## 2.0.0-beta12

### IMPROVEMENTS
1. 建模添加ts类型
2. 修复样式错误



## 2.0.0-beta14

### IMPROVEMENTS
1. 排除arco样式非必要引入
   

## 2.0.0-beta15

### IMPROVEMENTS
1. 修复颜色选择器错误
2. bpmn依赖升级
3. 颜色选择器依赖升级

## 2.0.0-beta16

### IMPROVEMENTS
1. 删除不必要的代码


## 2.0.0-beta18

### IMPROVEMENTS
1. 修复zeebe建模label信息样式错误

## 2.0.0-beta19

### IMPROVEMENTS
1. 抽离建模器样式



## 2.0.0-beta33

### IMPROVEMENTS
1. 使用自定义的bpmn-js-color-picker：bpmn-js-color-picker，以便完美支持黑暗模式



## 2.0.0-beta49

### IMPROVEMENTS
1. 性能优化
2. 更新bpmn-js-color-picker依赖
3. 处理路由切换建模丢失
4. 修改context-pad默认任务为user-task
5. 修复全屏下部分Tooltip不提示
6. 增加zeebe建模精简版：AnYiBpmnDesignerZeebeSimple
7. 增加camunda建模精简版：AnYiBpmnDesignerCamundaSimple
8. 实例预览弹框添加onlyUserTask，即限制只有usertask才能弹框
9. 实例预览增加currentActivityId，标记当前用户任务
10. 简单版建模去掉bpmn js最新的最佳元素功能
11. 针对建模本地缓存增加可以指定localStorage key：cacheStoreKey
12. 升级arco到2.43.0
