export declare enum ProcessInstanceState {
    UNKNOWN = -1,
    ACTIVE = 1,
    SUSPENDED = 2,
    COMPLETED = 3,
    REFUSED = 4,
    INVALID = 5
}
export declare enum ElementInstanceState {
    UNKNOWN = -1,
    ELEMENT_ACTIVATING = 2,
    ELEMENT_COMPLETED = 5,
    ELEMENT_TERMINATED = 7
}
export interface IncidentInfoModel {
    id: string;
    elementInstanceId: string;
    errorMessage: string;
    jobKey: string;
    variableScopeKey: string;
}
export interface BpmnActivityInstanceModel {
    id: string;
    parentActivityInstanceId: string;
    bpmnElementId: string;
    bpmnElementType: string;
    flowScopeKey: string;
    taskId: string;
    bpmnElementName: string;
    bpmnElementDescription: string;
    elementState: ElementInstanceState;
    multiInstanceNum: number;
    multiCompleteInstanceNum: number;
    multiInstance: number;
    incident: number;
    incidentInfo: IncidentInfoModel[];
    startDate: string;
    endDate: string;
    durationInMillisFormat: string;
    finished: string;
    sourceSequenceFlows: String[];
    children: BpmnActivityInstanceModel[];
    isLeaf: boolean;
    hasChildren: boolean;
}
export interface AnYiBpmnProcessInstanceModel {
    id: string;
    taskId: string;
    bpmnBase64: string;
    bpmnProcessDefinitionKey: string;
    bpmnProcessName: string;
    bpmnProcessDescription: string;
    participant: string;
    processVersion: string;
    bpmnProcessId: string;
    startDate: string;
    endDate: string;
    state: ProcessInstanceState;
    durationInMillisFormat: string;
    finished: number;
    category: string;
    categoryName: string;
    errorMessage: string;
    incidentId: string;
    incident: number;
    activityInstanceList: BpmnActivityInstanceModel[];
}
